Skip to main content
GET
/
import
/
datasets
List import datasets
curl --request GET \
  --url https://api.prequel.co/import/datasets \
  --header 'X-API-KEY: <api-key>'
{
  "status": "<string>",
  "data": {
    "datasets": [
      {
        "id": "<string>",
        "source_id": "<string>",
        "method": "<string>",
        "is_enabled": true,
        "type": "<string>",
        "frequency_minutes": 123,
        "datalake_schema": "<string>",
        "datalake_table_name": "<string>",
        "dimension": {
          "primary_key_column": "<string>",
          "last_modified_column": "<string>",
          "is_deleted_column": "<string>"
        },
        "table": {
          "source_table_namespace": "<string>",
          "source_table_name": "<string>"
        },
        "created_at": "<string>",
        "updated_at": "<string>",
        "fact": {
          "primary_key_column": "<string>",
          "created_at_column": "<string>"
        },
        "sql": {
          "query": "<string>"
        },
        "glob": {
          "pattern": "<string>",
          "format": "<string>"
        }
      }
    ]
  },
  "message": "<string>",
  "has_next": true,
  "next_url": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://import-docs.prequel.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Query Parameters

page_size
integer

Number of items to return per page.

order
enum<string>

Sort order for items

Available options:
asc,
desc
cursor
string

Used for pagination - represents last page seen. Value is included in response when there is a next page.

Response

OK

status
string
required
Allowed value: "success"
data
object
required
message
string
required
has_next
boolean
required

Whether there are more items beyond this page.

next_url
string

Full URL to fetch the next page. Only present when has_next is true.